﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace Common.Ajax.Service
{
    /// <summary>
    /// 缓存方法信息    
    /// </summary>
    sealed class CacheMethodInfo
    {
        /// <summary>
        /// 方法名称
        /// </summary>
        public string MethodName { get; set; }

        /// <summary>
        /// 方法委托
        /// </summary>
        public Func<object, object[], object> Func { get; set; }

        /// <summary>
        /// 方法参数
        /// </summary>
        public ParameterInfo[] Parameters { get; set; }

        /// <summary>
        /// Ajax标记属性
        /// </summary>
        public AjaxMethodAttribute AjaxMethodAttribute { get; set; }
    }
}
